/* First steps in econometrics */
/* Chapter 10: example 10.1 */
/* Ryuichi Tanaka (University of Tokyo) */

clear
set more off

use 10_1_income

regress cograd pacograd sibs
predict score
tabulate score

summarize cograd if score<.24
summarize cograd if score<.29 & score>.24
summarize cograd if score<.4 & score>.29
summarize cograd if score>.4

summarize lincome if score<.24 & cograd==1
summarize lincome if score<.24 & cograd==0

summarize lincome if (score<.29 & score>.24) & cograd==1
summarize lincome if (score<.29 & score>.24) & cograd==0

summarize lincome if (score<.4 & score>.29) & cograd==1
summarize lincome if (score<.4 & score>.29) & cograd==0

summarize lincome if score>.4 & cograd==1
summarize lincome if score>.4 & cograd==0

regress lincome cograd
regress lincome cograd if score<.24
regress lincome cograd if score<.29 & score>.24
regress lincome cograd if score<.4 & score>.29
regress lincome cograd if score>.4

regress lincome cograd score
